Mariner GPS Tools Ajan ve API Platformu
İlk gerçek kerterizi hesapla
Bir konumdan diğerine ilk gerçek kerterizi hesapla.
Arayüzler
POST
REST uç noktası
/api/v1/bearingMCP
Araç adı
calculate_bearingTalep
İsteği JSON olarak gönderin. MCP istemcileri, araç bağımsız değişkenleriyle aynı alanları iletir.
cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"from": {
"lat": 50.1,
"lng": -4.2
},
"to": {
"lat": 49.8,
"lng": -3.1
}
}'Talep gövdesijson
{
"from": {
"lat": 50.1,
"lng": -4.2
},
"to": {
"lat": 49.8,
"lng": -3.1
}
}Yanıt
REST hesaplama sonucunu standart başarı zarfına sarar. MCP aynı hesaplama verilerini yapılandırılmış araç çıktısı olarak döndürür.
JSON
{
"ok": true,
"data": {
"degrees": 112.54786806700503,
"compass": "ESE"
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Şemalar
Aşağıdaki tanımlar, girişleri doğrulamak ve çıkışları tanımlamak için kullanılan JSON Şemasının tamamını gösterir.
Girdi şeması
{
"type": "object",
"additionalProperties": false,
"properties": {
"from": {
"type": "object",
"additionalProperties": false,
"properties": {
"lat": {
"type": "string",
"description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
},
"lng": {
"type": "string",
"description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
}
},
"required": [
"lat",
"lng"
]
},
"to": {
"type": "object",
"additionalProperties": false,
"properties": {
"lat": {
"type": "string",
"description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
},
"lng": {
"type": "string",
"description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
}
},
"required": [
"lat",
"lng"
]
}
},
"required": [
"from",
"to"
]
}Çıktı şeması
{
"type": "object",
"additionalProperties": false,
"properties": {
"degrees": {
"type": "number"
},
"compass": {
"type": "string"
}
},
"required": [
"degrees",
"compass"
]
}MCP kıyaslama sonuçları
Bu araç için, Mariner GPS Tools MCP sunucusu bağlıyken ve bağlı değilken ölçülmüştür.
Ölçüm: Eylül 2026 · 9 model · 4 seyir senaryosu · 3 tekrar · 216 gözlem · Üretim MCP'si
Kıyaslama yöntemi ve tüm sonuçlarBir yapay zekâ istemcisine bağlanın